Bug 1142234 - unlocking the user needs to be done twice after passwd -l in command line
Summary: unlocking the user needs to be done twice after passwd -l in command line
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cockpit
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dominik Perpeet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-16 12:25 UTC by Aleš Mareček
Modified: 2015-12-11 23:49 UTC (History)
2 users (show)

Fixed In Version: cockpit-0.87-1.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-11 23:49:54 UTC


Attachments (Terms of Use)

Description Aleš Mareček 2014-09-16 12:25:35 UTC
Description of problem:
When I use command line for locking the user account (passwd -l <user>) the interface of Cockpit shows is almost immediately. That's good. Then I try to unlock it through Cockpit and after a few seconds it'll became locked again. It needs to be unlocked again and then it works. I believe that "twice-unlock" is needed only when the locking was happened via passwd, the Cockpits' opperations together -  lock and unlock work well.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. login to cockpit as root and open "Account" card of existing user
2. in command line do "passwd -l <username>" as root
3. go back to Cockpit and unlock the user
4. wait a few seconds

Actual results:
account became locked again (for unlock it you need to uncheck "Account Locked" again)

Expected results:
account unlocked

Additional info:

Comment 1 Stef Walter 2014-09-18 14:09:29 UTC
Upstream bug: https://github.com/cockpit-project/cockpit/issues/1216

Comment 2 Fedora Admin XMLRPC Client 2015-03-03 15:11:33 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 3 Jaroslav Reznik 2015-03-03 16:17:58 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 4 Stef Walter 2015-03-16 09:39:43 UTC
Related to: https://github.com/cockpit-project/cockpit/issues/1853

Comment 5 Fedora Update System 2015-11-27 21:03:03 UTC
cockpit-0.85-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-e368240084

Comment 6 Fedora Update System 2015-11-29 02:23:24 UTC
cockpit-0.85-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update cockpit'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-e368240084

Comment 7 Fedora Update System 2015-12-04 11:19:16 UTC
cockpit-0.86-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-36d1df063f

Comment 8 Fedora Update System 2015-12-04 16:51:07 UTC
cockpit-0.86-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update cockpit'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-36d1df063f

Comment 9 Fedora Update System 2015-12-10 07:59:21 UTC
cockpit-0.87-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-d03331b5ea

Comment 10 Fedora Update System 2015-12-11 06:02:08 UTC
cockpit-0.87-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update cockpit'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-d03331b5ea

Comment 11 Fedora Update System 2015-12-11 23:49:50 UTC
cockpit-0.87-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.